<?php
require('../cfg/res.php');
require('../cfg/cfg.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Codigo de Barra</title>
<style>
@font-face {
    font-family: 'KunstlerScript';
    src: 
	url('KunstlerScript.ttf')  
	format('truetype'); 
    font-weight: normal;
    font-style: normal;
  }
@font-face {
    font-family:'EanP36Tt';
    src: 
	src: url('EAN13_36.TTF')
	format('truetype'); 
    font-weight: normal;
    font-style: normal;
    
  }
@media print
{
body * {
   /* visibility: hidden;*/
}

#contenedor 
{
	display: block  !important; 
	visibility: visible !important;
    position: absolute;
    left: 0;
    top: 0;

}

}
</style>
<script type="text/javascript">
function imprSelec(muestra)
{
	var ficha=document.getElementById(muestra);var ventimp=window.open(' ','popimpr');ventimp.document.write(ficha.innerHTML);
	ventimp.document.close();ventimp.print();ventimp.close();
}
function imprimir()
{
	document.getElementById('contenedor').print();
}

function mrca()
{
	var marca=document.getElementById('marca').innerHTML;
	var marca_t='';
	var marca_a='';

	for(i=0;i<marca.length;i++)
	{
		marca_t=marca.substr(i,1);
		if(i==0 || marca.substr(i-1,1)==' ')
		{
			marca_a+=marca_t.toUpperCase();
		}
		else
		{
			marca_a+=marca_t.toLowerCase();
		}				
	}
	document.getElementById('marca').innerHTML=marca_a;
}
</script>
</head>

<body>
<?php
$item_sql='select *from item00 where item_codigo="'.$_GET['idx'].'"';
$item_res=mysql_query($item_sql,$link_vcrx);
$item_marca=mysql_result($item_res,0,'item_mrca');

$marca_sql='select mrca_descri from mrca0 where mrca_codigo="'.$item_marca.'"';
$marca_res=mysql_query($marca_sql,$link_vcrx);
if(mysql_num_rows($marca_res)!=0)
{
	$item_marca=mysql_result($marca_res,0,'mrca_descri');
	if(empty($item_marca))
	{
		$item_marca=mysql_result($item_res,0,'item_mrca');
	}
}

$item_descri=mysql_result($item_res,0,'item_descri');
$item_ean13=mysql_result($item_res,0,'bc_ean13');

if(strlen($_GET['idx'])==8)
{
	$item_codigo=substr($_GET['idx'],0,6);
	$item_talla=substr($_GET['idx'],6,2);
	$talla_sql='select tlla_descri from tlla0 where tlla_codigo="'.$item_talla.'"';
	

	$talla_res=mysql_query($talla_sql,$link_vcrx);
	
	if(mysql_num_rows($talla_res)!=0)
	{
		$item_talla=mysql_result($talla_res,0,'tlla_descri');
	}
}
else
{
	$item_codigo=$_GET['idx'];
}
$mrca_t='';
$mrca_a='';
for($i=0;$i<strlen($item_marca);$i++)
{
	$mrca_t=substr($item_marca,$i,1);
	if($i==0 || substr($item_marca,$i-1,1)==' ' )
	{
		$mrca_a.=strtoupper($mrca_t);
	}
	else
	{
		$mrca_a.=strtolower($mrca_t);
	}
}
$item_marca=$mrca_a;

?>
<div align="center">

<div id="contenedor" style="margin:0px; padding:0px;">
<?php 
$barra = imagecreatetruecolor(162, 204);
$negro = imagecolorallocate($barra, 0, 0, 0);
$fondo=imagecolorallocate($barra,255,255,255);
ImageFill($barra,0,0,$fondo);

$KunstlerScript='KunstlerScript.ttf';
$EAN13_36='EAN13_36.ttf';
$cour='cour.ttf';
imagefttext($barra,10,270,50,2, $negro, $KunstlerScript, $item_marca);
imagefttext($barra,10,270,50,2, $negro, $KunstlerScript, $item_marca);
imagefttext($barra,10,270,50,2, $negro, $KunstlerScript, $item_marca);
imagefttext($barra,10,270,50,2, $negro, $KunstlerScript, $item_marca);

imagefttext($barra,5,270,40,2, $negro, $cour, $item_descri);
imagefttext($barra,20,270,20,2, $negro, $EAN13_36, $item_ean13);

imagefttext($barra,5,270,2,2, $negro, $cour, $item_codigo.'/'.$item_talla);
imagefttext($barra,5,270,2,2, $negro, $cour, $item_codigo.'/'.$item_talla);
imagefttext($barra,5,270,2,2, $negro, $cour, $item_codigo.'/'.$item_talla);

imagepng ($barra,$_GET['idx'].".png");

?>
<img src="<?php echo $_GET['idx'];?>.png"  style="border:#000 solid 1px;" />
<?php 

imagedestroy($barra); 
unset($_GET['idx']);
unset($cour);
unset($EAN13_36);
unset($KunstlerScript);
unset($item_talla);
unset($item_codigo);
unset($item_descri);
unset($item_marca);
unset($negro);
unset($fondo);
unset($item_sql);
unset($talla_sql);
mysql_free_result($item_res);
mysql_free_result($talla_res);

?>
</div>
</div>

</body>
</html>